Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
newhope.h File Reference
`#include <botan/rng.h>`

Go to the source code of this file.

## Classes
class | Botan::newhope_poly

## Namespaces
| Botan

## Enumerations
enum | Botan::Newhope_Mode { Botan::Newhope_Mode::SHA3, Botan::Newhope_Mode::BoringSSL }
enum | Botan::Newhope_Params { Botan::NEWHOPE_SENDABYTES = 1824, Botan::NEWHOPE_SENDBBYTES = 2048, Botan::NEWHOPE_OFFER_BYTES = 1824, Botan::NEWHOPE_ACCEPT_BYTES = 2048, Botan::NEWHOPE_SHARED_KEY_BYTES = 32, Botan::CECPQ1_OFFER_BYTES = NEWHOPE_OFFER_BYTES + 32, Botan::CECPQ1_ACCEPT_BYTES = NEWHOPE_ACCEPT_BYTES + 32, Botan::CECPQ1_SHARED_KEY_BYTES = NEWHOPE_SHARED_KEY_BYTES + 32 }

## Functions
void | Botan::newhope_keygen (uint8_t *send, poly *sk, RandomNumberGenerator &rng, Newhope_Mode mode)
void | Botan::newhope_shareda (uint8_t *sharedkey, const poly *sk, const uint8_t *received, Newhope_Mode mode)
void | Botan::newhope_sharedb (uint8_t *sharedkey, uint8_t *send, const uint8_t *received, RandomNumberGenerator &rng, Newhope_Mode mode)